class matrix::ldapauthclient {
	package { "ldap-auth-client": ensure => installed }

        line { nsswitch_passwd_compact_off:
        file => "/etc/nsswitch.conf",
        line => 'passwd:         compat',
        ensure => absent,
        require => Package["ldap-auth-client"]
        }
	line { nsswitch_passwd_ldap_on:
        file => "/etc/nsswitch.conf",
        line => 'passwd:         files ldap',
        ensure => present,
        require => Package["ldap-auth-client"]
        }

        line { nsswitch_group_compact_off:
        file => "/etc/nsswitch.conf",
        line => 'group:          compat',
        ensure => absent,
        require => Package["ldap-auth-client"]
        }
        line { nsswitch_group_ldap_on:
        file => "/etc/nsswitch.conf",
        line => 'group:         files ldap',
        ensure => present,
        require => Package["ldap-auth-client"]
        }

	file { "/etc/pam.d/common-account":
	content => "account sufficient      pam_ldap.so\naccount required        pam_unix.so\n",
	ensure => present,
        require => Package["ldap-auth-client"]
	}

        file { "/etc/pam.d/common-auth":
        content => "auth    required        pam_group.so use_first_pass\nauth    sufficient      pam_ldap.so\nauth    required        pam_unix.so nullok_secure use_first_pass\n",
        ensure => present,
        require => Package["ldap-auth-client"]
        }

        file { "/etc/pam.d/common-password":
        content => "password sufficient      pam_ldap.so\npassword required        pam_unix.so nullok obscure min=4 max=8 md5\n",
        ensure => present,
        require => Package["ldap-auth-client"]
        }

        file { "/etc/pam.d/common-session":
        content => "session required        pam_unix.so\nsession required        pam_mkhomedir.so skel=/etc/skel/\nsession optional        pam_ldap.so\nsession optional        pam_foreground.so\n",
        ensure => present,
        require => Package["ldap-auth-client"]
        }
}
